GDB (xrefs)

Public Attributes | List of all members
gdb_timer Struct Reference

## Public Attributes
std::chrono::steady_clock::time_point | when
int | timer_id
struct gdb_timer * | next
timer_handler_func * | proc
gdb_client_data | client_data

## Detailed Description

Definition at line 213 of file event-loop.c.

## Member Data Documentation

## ◆ client_data

gdb_client_data gdb_timer::client_data

Definition at line 219 of file event-loop.c.

Referenced by create_timer(), and poll_timers().

## ◆ next

struct gdb_timer* gdb_timer::next

Definition at line 217 of file event-loop.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), create_timer(), delete_timer(), and poll_timers().

## ◆ proc

timer_handler_func* gdb_timer::proc

Definition at line 218 of file event-loop.c.

Referenced by create_timer(), and poll_timers().

## ◆ timer_id

int gdb_timer::timer_id

Definition at line 216 of file event-loop.c.

Referenced by create_timer(), and delete_timer().

## ◆ when

std::chrono::steady_clock::time_point gdb_timer::when

Definition at line 215 of file event-loop.c.

Referenced by create_timer().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/event-loop.c